Subject: different lynx fix for: Alert!: Unable to connect to remote host
From: "Mark Moraes" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>, <[email-masked]>
Date: Tue, 4 Sep 2001 18:41:42 -0700

Hi.

lynx's second "confirm-ready" connect returns EINVAL
rather than EINPROGRESS on lynx 2.8.4-1 on my Win2K laptop,
but worked fine on a (slower) Win98SE desktop, so
it doesn't seem consistently reproducible. I'd speculate that it
happens on faster machines (the laptop is a 650Mhz PIII and
all the machines that were mentioned in past problem reports seem
like moderately fast boxes)

I've seen several past references to this kind of problem in the list,
but none of them seemed to solve it for me. The patch here is a kludge: the correct answer is probably to get cygwin connect
to return EINPROGRESS (Corinna, is it possible that your
fix from 1.1.6 mentioned in this URL is missing from 1.3?)
http://sources.redhat.com/ml/cygwin/2000-12/msg00421.html

Some past reports are in:

http://sources.redhat.com/ml/cygwin/2001-08/msg00560.html

http://sources.redhat.com/ml/cygwin/2001-08/msg00355.html

http://sources.redhat.com/ml/cygwin/2001-07/msg01192.html
    Has a possible fix from Saurabh Gupta,
didn't seem to work for me.  I think the kludge I made
will work for him (judging from his trace, which is
very similar to the output I saw)

http://www.flora.org/lynx-dev/html/month112000/msg00159.html

    Mark.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/